#
###
# Application: Pycadia
# File:        gd_numbers.py
# Description: pycadia vector numbers data
# Copyright (c) 2002-2003   Andy Balcombe <http://www.anti-particle.com>
###
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

"""pycadia vector numbers data"""

#digits vertex data
nVerts = [
    (-1.5,3),
    (1.5,3),
    (1.5,0),
    (-1.5,0),
    (-1.5,-3),
    (1.5,-3),
    (0,-3),
    (0,3)]

#digits line data
n0Lines = [
    (0,1),    # 0
    (1,5),
    (5,4),
    (4,0)]    

n1Lines = [
    (6,7)]    # 1    

n2Lines = [
    (4,5),    # 2
    (5,2),
    (2,3),
    (3,0),
    (0,1)]

n3Lines = [
    (4,5),    # 3
    (5,2),
    (2,3),
    (2,1),
    (0,1)]

n4Lines = [
    (4,3),    # 4
    (3,2),
    (5,1)]

n5Lines = [
    (0,1),    # 5
    (1,2),
    (2,3),
    (3,4),
    (4,5)]

n6Lines = [
    (4,0),    # 6
    (0,1),
    (1,2),
    (2,3)]
    
n7Lines = [
    (4,5),    # 7
    (5,0)]


n8Lines = [
    (4,0),    # 8
    (0,1),
    (1,5),
    (4,5),
    (3,2)]

n9Lines = [
    (1,5),    # 9
    (5,4),
    (4,3),
    (3,2)]

