from distutils.core import setup
import py2exe
import glob

#manually copy the *sub-directories* of
#   C:\Program Files\Common Files\GTK\2.0\etc to dist-folder\etc\
#   C:\Program Files\Common Files\GTK\2.0\lib to dist-folder\lib\
#
#setup.cfg should be:
#   [py2exe]
#   includes=atk,pango
#   icon=question.ico
#   version-companyname=Your company
#   version-legalcopyright=No copyright
#   version-filedescription = This is the description
#   version-fileversion = 1.0.0.1
#   version-legaltrademarks = The usual crap
#   version-productname = A Product? LOL!
#   version-productversion = 0.0.0.1
#
#run with the command from project directory:
#   python setup.py py2exe --force --windows

setup(
    name="pycadia",
    scripts=["pycadia.py"],
    data_files=[("pycadia.conf"),
                ("pixmaps", glob.glob("pixmaps/*.png")),
                ("sounds", glob.glob("sounds/*.wav")),
                ("glade", glob.glob("glade/*.*"))
    ]
)

